Where can i find the Apple Configurator version 1.5, or a version that works with OS X 10.9.5. The latest versions of configurator doesn't work with 10.9.5. But it needs to be at least version 1.5.

Is there somewhere i can download this version, or a newer version but that still works on OS X 10.9.5?

The App store doesn't give any options to download an earlier version like some older posts suggest it should do. It only shows a message saying this software is not compatible with my version of OS X.